Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.types
Class SoapActionType

    java.lang.Object
      org.teleal.cling.model.types.SoapActionType

    public class SoapActionType

extends Object

Header in SOAP action messages, naturally declaring the same thing as the body of the SOAP message.

Author:
  Christian Bauer

Field Summary
`static String` | `MAGIC_CONTROL_NS`
`static String` | `MAGIC_CONTROL_TYPE`
`static Pattern` | `PATTERN`
`static Pattern` | `PATTERN_MAGIC_CONTROL`

Constructor Summary
`SoapActionType(ServiceType serviceType, String actionName)`
`SoapActionType(String namespace, String type, Integer version, String actionName)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getActionName()`
`String` | `getNamespace()`
`ServiceType` | `getServiceType()`
`String` | `getType()`
`String` | `getTypeString()`
`Integer` | `getVersion()`
`int` | `hashCode()`
`String` | `toString()`
`static SoapActionType` | `valueOf(String s)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MAGIC_CONTROL_NS

    public static final String MAGIC_CONTROL_NS

See Also:
  Constant Field Values

### MAGIC_CONTROL_TYPE

    public static final String MAGIC_CONTROL_TYPE

See Also:
  Constant Field Values

### PATTERN_MAGIC_CONTROL

    public static final Pattern PATTERN_MAGIC_CONTROL

### PATTERN

    public static final Pattern PATTERN

Constructor Detail

### SoapActionType

    public SoapActionType(ServiceType serviceType,
                          String actionName)

### SoapActionType

    public SoapActionType(String namespace,
                          String type,
                          Integer version,
                          String actionName)

Method Detail

### getActionName

    public String getActionName()

### getNamespace

    public String getNamespace()

### getType

    public String getType()

### getVersion

    public Integer getVersion()

### valueOf

    public static SoapActionType valueOf(String s)
                                  throws InvalidValueException

  Throws:
    `InvalidValueException`

### getServiceType

    public ServiceType getServiceType()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getTypeString

    public String getTypeString()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.